Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be available on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 1344524 - [RFE] Provide the ability to force a verification and synchronization of Capsule repository content
Summary: [RFE] Provide the ability to force a verification and synchronization of Caps...
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Satellite
Classification: Red Hat
Component: Capsule - Content
Version: 6.1.8
Hardware: x86_64
OS: Linux
high
medium
Target Milestone: Unspecified
Assignee: satellite6-bugs
QA Contact: Vladimír Sedmík
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-06-09 22:30 UTC by Paul Armstrong
Modified: 2020-06-22 18:19 UTC (History)
12 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-05-01 14:59:13 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Bugzilla 1223023 0 high CLOSED [RFE] Allow Pulp to force sync and verify/repair corrupted packages in a repository 2021-04-06 18:07:33 UTC
Red Hat Bugzilla 1261184 1 None None None 2021-01-20 06:05:38 UTC

Internal Links: 1223023 1261184

Description Paul Armstrong 2016-06-09 22:30:24 UTC
Description of problem:

There may be instances where the rpm underlying the content or the path to the content is corrupted or suspect. Provide the ability to verify the content and force a synchronization to the Satellite if necessary (to the CDN if the capsule is embedded in the Satellite Server).

Version-Release number of selected component (if applicable):
6.1.8

How reproducible:
This feature is currently not available.

Comment 1 sthirugn@redhat.com 2016-10-07 16:38:22 UTC
Also as per https://access.redhat.com/support/cases/#/case/01702172 - in addition to rpms, there should be verification for the downloaded images too.

Comment 12 sthirugn@redhat.com 2018-07-17 20:17:05 UTC
Go to Infrastructure -> Capsules -> Select a Capsule -> Synchronize -> `Complete Sync` will force sync Capsule with Satellite.

But there is no way currently to actually verify the contents in capsule.

Comment 15 Bryan Kearney 2020-05-01 14:59:13 UTC
We believe this is already addressed in the product. If you are still havign issues, please feel free to open a new BZ and we will address it.


Note You need to log in before you can comment on or make changes to this bug.